# TODO:
# - Fix tests (a few fail)
#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define		module	psutil
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Name:		python-%{module}
Version:	5.9.8
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/psutil/
Source0:	https://github.com/giampaolo/psutil/archive/release-%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	0aeec244e37e0631ade3fc4be30e8f32
URL:		https://github.com/giampaolo/psutil
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
%if %{with tests}
BuildRequires:	python-ipaddress
BuildRequires:	python-mock
%if "%{py_ver}" < "2.7"
BuildRequires:	python-unittest2
%endif
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -l pl.UTF-8
Moduł dostarczający interfejs do informacji o działających procesach
oraz zużyciu systemu (procesor, dyski, pamięć, sieć) w przenośny
sposób używjąc Pythona. Implementuje wiele funkcjonalności oferowanych
przez narzędzia linii komend.

%package -n python3-%{module}
Summary:	A cross-platform process and system utilities module for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzia do procesów i systemu dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%description -n python3-%{module} -l pl.UTF-8
Module providing an interface for retrieving information on all
running processes and system utilization (CPU, disk, memory, network)
in a portable way by using Python, implementing many functionalities
offered by command line tools.

%package apidocs
Summary:	API documentation for Python psutil module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona psutil
Group:		Documentation

%description apidocs
API documentation for Python psutil module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona psutil.

%prep
%setup -q -n %{module}-release-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
cd build-2/lib.*
ln -sf ../../scripts .
ln -sf ../../setup.py .
LC_ALL=C.UTF-8 \
PYTHONPATH=$(pwd) \
%{__python} -m psutil.tests
%{__rm} scripts setup.py
cd ../..
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
cd build-3/lib.*
ln -sf ../../scripts .
ln -sf ../../setup.py .
PYTHONPATH=$(pwd) \
%{__python3} -m psutil.tests
%{__rm} scripts setup.py
cd ../..
%endif
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%{__rm} -r $RPM_BUILD_ROOT%{py_sitedir}/psutil/tests
%py_postclean
%endif

%if %{with python3}
%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitedir}/psutil/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CREDITS HISTORY.rst LICENSE README.rst
%dir %{py_sitedir}/psutil
%attr(755,root,root) %{py_sitedir}/psutil/_psutil_linux.so
%attr(755,root,root) %{py_sitedir}/psutil/_psutil_posix.so
%{py_sitedir}/psutil/*.py[co]
%{py_sitedir}/psutil-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CREDITS HISTORY.rst LICENSE README.rst
%dir %{py3_sitedir}/psutil
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_linux.*.so
%attr(755,root,root) %{py3_sitedir}/psutil/_psutil_posix.*.so
%{py3_sitedir}/psutil/*.py
%{py3_sitedir}/psutil/__pycache__
%{py3_sitedir}/psutil-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Jan 21 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-psutil.git;a=log;h=master

* Sun Jan 21 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> ce2cb08
- Up to 5.9.8

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 661c2e8
- updated to 5.9.2

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> bb1f2ba
- up to 5.9.1

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> b2ce57f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1bbffd2
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ea57ed5
- rebuild with python 3.10

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 1cbe654
- updated to 5.9.0

* Thu Jul 08 2021 Jan Palus <atler@pld-linux.org> f7c3f21
- up to 5.8.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> b553f4f
- release 2 (by relup.sh)

* Mon Dec 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 748d284
- updated to 5.6.7
- added linux patch (fix block dev stats reading on newer kernels)
- added apidocs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2da80a9
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 03 2019 Jakub Bogusz <qboosh@pld-linux.org> cbd3874
- updated to 5.6.3

* Thu May 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> eb891ac
- up to 5.6.2

* Tue Feb 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 94c3053
- up to 5.5.1

* Sun Feb 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 25298c9
- up to 5.5.0

* Mon Nov 12 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 55ea531
- up to 5.4.8

* Thu Jul 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 658986d
- updated to 5.4.6

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d10a656
- release 2 (by relup.sh)

* Thu May 31 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d7eca3
- up to 5.4.5

* Tue Dec 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> eb72e6a
- up to 5.4.2

